2 Replies Latest reply: Apr 13, 2012 9:08 AM by picotron RSS

    Update-Error in a network with Proxy

    picotron

      Hi,

       

      we are getting this error message on all clients (mainly Windows XP) in a network where the Internet access is controlled by a proxy which asks for authentication when we try to update the reader (Adobe Reader Version 10, 9 and 8 are showing the same behaviour):

      Fehlermeldung.JPG

      "Fehler" just means Error in German, so it basically just say Update-Error twice.

       

      Unfortunately we don't get any error code or other message to start with but I found a AdobeARM.txt in the users temp folder with the following content:

       

      [2012-03-23 10:31:09]    Error Code: 0x80190197

      [2012-03-23 10:31:09] ARMDownloader:: BG_JOB_STATE_CONNECTING: errorCount

      [2012-03-23 10:31:09]    Error Code: 0x1

      [2012-03-23 10:31:09] ARMDownloader::BITS Error: Proxyauthentifizierung ist erforderlich.

       

      [2012-03-23 10:31:09]    Error Code: 0x80190197

      [2012-03-23 10:31:10] Failed to read UAC setting, defaulting to Enabled.

      [2012-03-23 10:31:10] ArmUpdateType: 7z

      [2012-03-23 10:31:10] C:\Dokumente und Einstellungen\All Users\Anwendungsdaten\Adobe\Reader\8.2\ARM\7230

      [2012-03-23 10:31:10]    GetLastError(): 0x2 - Das System kann die angegebene Datei nicht finden.

      [2012-03-23 10:31:10] Updated time stamps for 4 files

      [2012-03-23 10:31:15] ARMDownloader::BITS Error: Proxyauthentifizierung ist erforderlich.

       

      [2012-03-23 10:31:15]    Error Code: 0x80190197

      [2012-03-23 10:31:16] Failed to read UAC setting, defaulting to Enabled.

      [2012-03-23 10:31:21] User exited

      [2012-03-23 10:31:21] Failed to read UAC setting, defaulting to Enabled.

      [2012-03-23 10:31:22] ARM returns ERROR_SUCCESS

      [2012-03-23 10:31:22] Adobe ARM 1.1.5.0 logging finished.

       

      Unfortunately this didn't help me too much either but "[2012-03-23 10:31:10] GetLastError(): 0x2 - Das System kann die angegebene Datei nicht finden." (meaing The System can not find the given file) looks interesting.

       

      To me it seems that the download of the update actually never happens and therefore the update-file is not found - but I don't understand why. The Updater asks for proxy authentication credentials (which are of course given) and also finds out that there is an update (so it can establish a connection to Adobe) and when I confirm to download it it goes down to the system tray and starts to download but never shows a percentage and a few seconds later it shows the error message above.

       

      Does anybody know what causes this issue or how I can properly debug it?

      How is the Update actually downloaded in the end? HTTP or FTP? Because FTP could cause some trouble - is there a way to switch it to HTTP-download?

       

      Thanks a lot for your help.

       

      Kind regards

      Dominik

        • 1. Re: Update-Error in a network with Proxy
          LeoAdobeX Community Member

          Hi,

          The log shows a very old version of updater which had a few issues with Proxy.

          If you see issues with Reader 10 also, can you please provide updater log (full version)  from Reader 10 failure?

          You can send me private message.

          • 2. Re: Update-Error in a network with Proxy
            picotron Community Member

            Hi,

             

            I am sorry for the late answer but I did not manage to check it earlier.

             

            Thank you for your message and the offer to have a look at the full updater log but "unfortunately" today the situation was that the most recent Update was already prepared/downloaded and ready to be installed on the machines running Adobe Reader 10 and Adobe Reader 9 - the machines running Adobe Reader 8 still had the same error message. I updated the machines running Adobe Reader 8 to Adobe Reader 10 now and will check if the problem shows up again - I will post here as soon as I get some new information (for now I can't check anything more since the versions are already up-to-date now).

             

            Kind regards

            Dominik